import request from "@/utils/request";

// 科研机构实验室列表
export const laboratoryList = (params) => {
  return request({
    url: `/app/research/laboratoryList`,
    method: "GET",
    params,
  });
};

export const laboratoryDetail = (id) => {
  return request({
    url: `/app/research/laboratoryInfo/${id}`,
    method: "GET",
  });
};

export const laboratoryEdit = (data) => {
  return request({
    url: `/app/research/updateLaboratory`,
    method: "PUT",
    data,
  });
};

// 研究机构解绑实验室
export const delBindLaboratory = (id) => {
  return request({
    url: `/app/research/delBindLaboratory/${id}`,
    method: "PUT",
  });
};
